IdealTree::Node Class Reference

## Public Member Functions

| Node (Ideal::iterator begin, Ideal::iterator end, size_t varCount)
void | makeTree ()
bool | strictlyContains (const Exponent *term) const
size_t | getVarCount () const

## Private Attributes

unique_ptr< Node > | _lessOrEqual
unique_ptr< Node > | _greater
Ideal::iterator | _begin
Ideal::iterator | _end
size_t | _varCount
size_t | _var
size_t | _pivot

## Detailed Description

Definition at line 39 of file IdealTree.cpp.

## Constructor & Destructor Documentation

## Node()

IdealTree::Node::Node | ( | Ideal::iterator | begin,
|  | Ideal::iterator | end,
|  | size_t | varCount )

inline

Definition at line 41 of file IdealTree.cpp.

## Member Function Documentation

## getVarCount()

size_t IdealTree::Node::getVarCount | ( |  | ) | const

inline

Definition at line 50 of file IdealTree.cpp.

## makeTree()

void IdealTree::Node::makeTree | ( |  | ) |

Definition at line 62 of file IdealTree.cpp.

## strictlyContains()

bool IdealTree::Node::strictlyContains | ( | const Exponent * | term | ) | const

Definition at line 134 of file IdealTree.cpp.

## Member Data Documentation

## _begin

Ideal::iterator IdealTree::Node::_begin

private

Definition at line 55 of file IdealTree.cpp.

## _end

Ideal::iterator IdealTree::Node::_end

private

Definition at line 56 of file IdealTree.cpp.

## _greater

unique_ptr<Node> IdealTree::Node::_greater

private

Definition at line 54 of file IdealTree.cpp.

## _lessOrEqual

unique_ptr<Node> IdealTree::Node::_lessOrEqual

private

Definition at line 53 of file IdealTree.cpp.

## _pivot

size_t IdealTree::Node::_pivot

private

Definition at line 59 of file IdealTree.cpp.

## _var

size_t IdealTree::Node::_var

private

Definition at line 58 of file IdealTree.cpp.

## _varCount

size_t IdealTree::Node::_varCount

private

Definition at line 57 of file IdealTree.cpp.

The documentation for this class was generated from the following file:

- src/IdealTree.cpp